## r-cran-genieclust 0.9.4

=== DESCRIPTION ===
Package: genieclust
Type: Package
Title: The Genie++ Hierarchical Clustering Algorithm with Noise Points
        Detection
Version: 0.9.4
Date: 2020-07-31
Authors@R: c(
    person("Marek", "Gagolewski",
        role = c("aut", "cre", "cph"),
        email = "marek@gagolewski.com",
        comment = c(ORCID = "0000-0003-0637-6028")),
    person("Maciej", "Bartoszuk", role = c("ctb")),
    person("Anna", "Cena", role = c("ctb")),
    person("Peter M.", "Larsen", role = c("ctb"))
    )
Description: A retake on the Genie algorithm - a robust
    hierarchical clustering method
    (Gagolewski, Bartoszuk, Cena, 2016 <DOI:10.1016/j.ins.2016.05.003>).
    Now faster and more memory efficient; determining the whole hierarchy
    for datasets of 10M points in low dimensional Euclidean spaces or
    100K points in high-dimensional ones takes only 1-2 minutes.
    Allows clustering with respect to mutual reachability distances
    so that it can act as a noise point detector or a robustified version of
    'HDBSCAN*' (that is able to detect a predefined number of
    clusters and hence it does not dependent on the somewhat
    fragile 'eps' parameter).
    The package also features an implementation of economic inequity indices
    (the Gini, Bonferroni index) and external cluster validity measures
    (partition similarity scores; e.g., the adjusted Rand, Fowlkes-Mallows,
    adjusted mutual information, pair sets index).
    See also the 'Python' version of 'genieclust' available on 'PyPI', which
    supports sparse data, more metrics, and even larger datasets.
BugReports: https://github.com/gagolews/genieclust/issues
URL: https://genieclust.gagolewski.com/
License: AGPL-3
Imports: Rcpp (>= 1.0.4), stats, utils
Suggests: datasets, emstreeR
LinkingTo: Rcpp
Encoding: UTF-8
SystemRequirements: OpenMP, C++11
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-07-31 08:17:17 UTC; gagolews
Author: Marek Gagolewski [aut, cre, cph]
    (<https://orcid.org/0000-0003-0637-6028>),
  Maciej Bartoszuk [ctb],
  Anna Cena [ctb],
  Peter M. Larsen [ctb]
Maintainer: Marek Gagolewski <marek@gagolewski.com>
Repository: CRAN
Date/Publication: 2020-08-01 01:10:02 UTC

=== debian/changelog ===
r-cran-genieclust (0.9.4-1) unstable; urgency=medium

  * Initial release (closes: #975886)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 11:53:52 +0100

=== debian/control ===
Source: r-cran-genieclust
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.4)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genieclust
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genieclust.git
Homepage: https://cran.r-project.org/package=genieclust
Rules-Requires-Root: no

Package: r-cran-genieclust
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Genie++ Hierarchical Clustering Algorithm with Noise Points Detection
 A retake on the Genie algorithm - a robust hierarchical clustering
 method (Gagolewski, Bartoszuk, Cena, 2016
 <DOI:10.1016/j.ins.2016.05.003>). Now faster and more memory efficient;
 determining the whole hierarchy for datasets of 10M points in low
 dimensional Euclidean spaces or 100K points in high-dimensional ones
 takes only 1-2 minutes. Allows clustering with respect to mutual
 reachability distances so that it can act as a noise point detector or a
 robustified version of 'HDBSCAN*' (that is able to detect a predefined
 number of clusters and hence it does not dependent on the somewhat
 fragile 'eps' parameter).
 .
 The package also features an implementation of economic inequity indices
 (the Gini, Bonferroni index) and external cluster validity measures
 (partition similarity scores; e.g., the adjusted Rand, Fowlkes-Mallows,
 adjusted mutual information, pair sets index).
 .
 See also the 'Python' version of 'genieclust' available on 'PyPI', which
 supports sparse data, more metrics, and even larger datasets.

## r-cran-genieclust 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: The Genie++ Hierarchical Clustering Algorithm with Noise Points
         Detection
-Version: 0.9.4
-Date: 2020-07-31
+Version: 1.0.0
+Date: 2021-04-22
 Authors@R: c(
     person("Marek", "Gagolewski",
         role = c("aut", "cre", "cph"),
@@ -34,13 +34,13 @@
 URL: https://genieclust.gagolewski.com/
 License: AGPL-3
 Imports: Rcpp (>= 1.0.4), stats, utils
-Suggests: datasets, emstreeR
+Suggests: datasets, mlpack
 LinkingTo: Rcpp
 Encoding: UTF-8
 SystemRequirements: OpenMP, C++11
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2020-07-31 08:17:17 UTC; gagolews
+Packaged: 2021-04-22 05:43:20 UTC; gagolews
 Author: Marek Gagolewski [aut, cre, cph]
     (<https://orcid.org/0000-0003-0637-6028>),
   Maciej Bartoszuk [ctb],
@@ -48,4 +48,4 @@
   Peter M. Larsen [ctb]
 Maintainer: Marek Gagolewski <marek@gagolewski.com>
 Repository: CRAN
-Date/Publication: 2020-08-01 01:10:02 UTC
+Date/Publication: 2021-04-22 07:20:08 UTC

=== debian/changelog ===
r-cran-genieclust (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 09:53:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.4)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genieclust
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genieclust.git
 Homepage: https://cran.r-project.org/package=genieclust

## r-cran-genieclust 1.0.1

=== debian/changelog ===
r-cran-genieclust (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 09:04:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-genieclust
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genieclust
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genieclust.git
+Homepage: https://cran.r-project.org/package=genieclust
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.4)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genieclust
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genieclust.git
-Homepage: https://cran.r-project.org/package=genieclust
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-genieclust
 Architecture: any

## r-cran-genieclust 1.1.3

=== DESCRIPTION ===
Package: genieclust
Type: Package
Title: Fast and Robust Hierarchical Clustering with Noise Points
        Detection
Version: 1.1.3
Date: 2023-01-17
Authors@R: c(
    person("Marek", "Gagolewski",
        role = c("aut", "cre", "cph"),
        email = "marek@gagolewski.com",
        comment = c(ORCID = "0000-0003-0637-6028")),
    person("Maciej", "Bartoszuk", role = c("ctb")),
    person("Anna", "Cena", role = c("ctb")),
    person("Peter M.", "Larsen", role = c("ctb"))
    )
Description: A retake on the Genie algorithm
    (Gagolewski, 2021 <DOI:10.1016/j.softx.2021.100722>) - a robust
    hierarchical clustering method
    (Gagolewski, Bartoszuk, Cena, 2016 <DOI:10.1016/j.ins.2016.05.003>).
    Now faster and more memory efficient; determining the whole hierarchy
    for datasets of 10M points in low dimensional Euclidean spaces or
    100K points in high-dimensional ones takes only 1-2 minutes.
    Allows clustering with respect to mutual reachability distances
    so that it can act as a noise point detector or a robustified version of
    'HDBSCAN*' (that is able to detect a predefined number of
    clusters and hence it does not dependent on the somewhat
    fragile 'eps' parameter).
    The package also features an implementation of economic inequity indices
    (the Gini, Bonferroni index), external cluster validity measures
    (e.g., the adjusted asymmetric accuracy and partition similarity scores
    such as the adjusted Rand, Fowlkes-Mallows, adjusted mutual information,
    and pair sets indices),
    and internal cluster validity indices (e.g., the Calinski-Harabasz,
    Davies-Bouldin, Ball-Hall, Silhouette, and generalised Dunn indices).
    See also the 'Python' version of 'genieclust' available on 'PyPI', which
    supports sparse data, more metrics, and even larger datasets.
BugReports: https://github.com/gagolews/genieclust/issues
URL: https://genieclust.gagolewski.com/,
        https://clustering-benchmarks.gagolewski.com/,
        https://github.com/gagolews/genieclust
License: AGPL-3
Imports: Rcpp (>= 1.0.4), stats, utils
Suggests: datasets, mlpack
LinkingTo: Rcpp
Encoding: UTF-8
SystemRequirements: OpenMP, C++11
RoxygenNote: 7.2.1
NeedsCompilation: yes
Packaged: 2023-01-16 23:37:59 UTC; gagolews
Author: Marek Gagolewski [aut, cre, cph]
    (<https://orcid.org/0000-0003-0637-6028>),
  Maciej Bartoszuk [ctb],
  Anna Cena [ctb],
  Peter M. Larsen [ctb]
Maintainer: Marek Gagolewski <marek@gagolewski.com>
Repository: CRAN
Date/Publication: 2023-01-17 00:40:02 UTC

=== debian/changelog ===
r-cran-genieclust (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:15:25 +0100

r-cran-genieclust (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 17:51:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genieclust
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genieclust.git
 Homepage: https://cran.r-project.org/package=genieclust
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-genieclust 1.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fast and Robust Hierarchical Clustering with Noise Points
         Detection
-Version: 1.1.3
-Date: 2023-01-17
+Version: 1.1.5-2
+Date: 2023-10-18
 Authors@R: c(
     person("Marek", "Gagolewski",
         role = c("aut", "cre", "cph"),
@@ -25,11 +25,11 @@
     'HDBSCAN*' (that is able to detect a predefined number of
     clusters and hence it does not dependent on the somewhat
     fragile 'eps' parameter).
-    The package also features an implementation of economic inequity indices
+    The package also features an implementation of inequality indices
     (the Gini, Bonferroni index), external cluster validity measures
-    (e.g., the adjusted asymmetric accuracy and partition similarity scores
+    (e.g., the normalised clustering accuracy and partition similarity scores
     such as the adjusted Rand, Fowlkes-Mallows, adjusted mutual information,
-    and pair sets indices),
+    and the pair sets index),
     and internal cluster validity indices (e.g., the Calinski-Harabasz,
     Davies-Bouldin, Ball-Hall, Silhouette, and generalised Dunn indices).
     See also the 'Python' version of 'genieclust' available on 'PyPI', which
@@ -43,10 +43,10 @@
 Suggests: datasets, mlpack
 LinkingTo: Rcpp
 Encoding: UTF-8
-SystemRequirements: OpenMP, C++11
-RoxygenNote: 7.2.1
+SystemRequirements: OpenMP
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-01-16 23:37:59 UTC; gagolews
+Packaged: 2023-10-18 08:43:24 UTC; gagolews
 Author: Marek Gagolewski [aut, cre, cph]
     (<https://orcid.org/0000-0003-0637-6028>),
   Maciej Bartoszuk [ctb],
@@ -54,4 +54,4 @@
   Peter M. Larsen [ctb]
 Maintainer: Marek Gagolewski <marek@gagolewski.com>
 Repository: CRAN
-Date/Publication: 2023-01-17 00:40:02 UTC
+Date/Publication: 2023-10-18 09:50:06 UTC

## r-cran-genieclust 1.1.5-2

=== debian/changelog ===
r-cran-genieclust (1.1.5-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 08:29:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-genieclust
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-rcpp
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genieclust
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genieclust.git
 Homepage: https://cran.r-project.org/package=genieclust
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-rcpp (>= 1.0.4)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-genieclust
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/genieclust_([-\d.]*)\.tar\.gz

## r-cran-genieclust 1.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fast and Robust Hierarchical Clustering with Noise Points
         Detection
-Version: 1.1.5-2
-Date: 2023-10-18
+Version: 1.1.6
+Date: 2024-08-22
 Authors@R: c(
     person("Marek", "Gagolewski",
         role = c("aut", "cre", "cph"),
@@ -44,9 +44,9 @@
 LinkingTo: Rcpp
 Encoding: UTF-8
 SystemRequirements: OpenMP
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-10-18 08:43:24 UTC; gagolews
+Packaged: 2024-08-22 08:18:47 UTC; gagolews
 Author: Marek Gagolewski [aut, cre, cph]
     (<https://orcid.org/0000-0003-0637-6028>),
   Maciej Bartoszuk [ctb],
@@ -54,4 +54,4 @@
   Peter M. Larsen [ctb]
 Maintainer: Marek Gagolewski <marek@gagolewski.com>
 Repository: CRAN
-Date/Publication: 2023-10-18 09:50:06 UTC
+Date/Publication: 2024-08-22 16:50:01 UTC

=== debian/changelog ===
r-cran-genieclust (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Sep 2024 15:57:04 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genieclust
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genieclust.git
 Homepage: https://cran.r-project.org/package=genieclust
